<%@ page contentType="text/html;charset=UTF-8" import="de.imatics.forms.DefinitionFactory, de.imatics.forms.FormContext,
         	de.imatics.forms.FormDefinition,
         	de.imatics.forms.render.html.HtmlFormRenderer, java.util.Locale"
%>
<html>
<%!
	private static HtmlFormRenderer renderer = new HtmlFormRenderer();
%><%
	final String formName = request.getParameter("form");
	Locale locale = request.getLocale();

	FormDefinition formDefinition = null;
	FormContext form = null;
	if (formName != null) {
		final String formPath = "/forms/" + formName + ".xml";
		formDefinition = DefinitionFactory.getInstance().loadDefinition(formPath);
		System.out.println("formDefinition "+formDefinition);
		form = FormContext.createFormContext(request, formDefinition, locale);
		System.out.println("form "+form);
	}

%>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Example form<%= formName == null ? "s" : " " + formName %></title>
	<%-- includes all required resources for the form --%>
	<%= de.imatics.j2ee.filter.ResourceFilter.getAllRequestIncludes(request) %>
	
</head>
<body>

<%
	if (form != null) {
%>
	<div id="headline">
		<h1><%= formName %></h1>
	</div>

<%
		// go to target.jsp after submit
		renderer.renderForm(form, out, "target.jsp");
	}
%>
</body>
</html>