// knnte auch in die j2ee utils - dann msste aber auch die scriptaculous-Resource in die utils

var AccordionContainer = Class.create({
	initialize : function(container, options) {
		this.container = $(container);
		this.options = {
			// Platz fr default-Optionen
			// TODO css-Klassennamen ber Optionen konfigurierbar
		};
		Object.extend(this.options, options || { });
		this.registerToggleButtons();
	},

	registerToggleButtons: function() {
		this.panes = new Array();

		var accordionPanes = this.container.select('.imx_accordion_pane');
		var activeTabDefined = false;
		for (var i = 0; i < accordionPanes.length; i++) {
			var accordionPane = accordionPanes[i];
			var paneButtons = accordionPane.select('.imx_accordion_pane_head');
			if (paneButtons) {
				var contentPane = $(accordionPane.select('.imx_accordion_pane_content')[0]);

				var paneButton = $(paneButtons[0]);
				if (paneButton.hasClassName('imx_active_pane') && !activeTabDefined) {
					activeTabDefined = true;
				}
				else {
					contentPane.hide();
				}

				var paneContainer = this;
				Event.observe(paneButton, "click", function() {
					paneContainer.togglePanes(this);
				});
				this.panes.push({button: paneButton, pane: accordionPane, content: contentPane});
			}
		}
	},

	togglePanes: function(button) {
		for (var i = 0; i < this.panes.length; i++) {
			var accPane = this.panes[i];
			var paneButton = accPane.button;
			var contentDiv = accPane.content;
			if (paneButton == button) {
				if (!paneButton.hasClassName('imx_active_pane')) {
					paneButton.addClassName('imx_active_pane');
					Effect['BlindDown'](contentDiv, {duration:0.7});
					this.onActivatePane(this.container.id, accPane.pane.id);
				}
			}
			else {
				if (paneButton.hasClassName('imx_active_pane')) {
					paneButton.removeClassName('imx_active_pane');
//					contentPane.hide();
					Effect['BlindUp'](contentDiv, {duration:0.7});
				}
			}
		}
	},

	onActivatePane: function(containerId, paneId) {
		var f = this.options['onActivatePane'];
		if (f) {
			f(containerId, tabId);
		}
	}
});