var fe_context_path = '';
if (typeof IMX_CONTEXT_PATH !== "undefined") {
	// Wert der globalen Variable bernehmen, wenn verfgbar
	fe_context_path = IMX_CONTEXT_PATH + '/';
	// anderenfalls leer lassen, damit relative Pfade entstehen
}

Ajax.Responders.register({
	onCreate: function() {
        if ($('fe_waitImage') == undefined) {
            // beim ersten Request das Image erzeugen
            Element.insert(document.body, {top:'<div id="fe_waitImage" style="display:none"><img src="'
						+ fe_context_path + 'IMX_RESOURCE?fe/images/indicator_flower.gif" alt="wait"/></div>'});
        }
		$('fe_waitImage').show();
	},
	onComplete: function() {
		if (Ajax.activeRequestCount == 0) {
			// erst beim letzten fertigen Request, ausblenden
			$('fe_waitImage').hide();
		}
	}
});

function noop() {}

function fe_registerPingForm(formId, interval) {
	if (interval == undefined) {
		interval = 30;
	}

	new PeriodicalExecuter(function(pe) {
		new Ajax.Request(fe_context_path + "Submission", {
			method:'get',
			parameters: {action:"ping:"+formId},
			onSuccess:
				function(transport, json) {
					json = getJson(transport,  json);
					if (json != undefined && json != null && json["exception"] != null) {
						pe.stop(); // form existiert nicht mehr
						alert(json["exception"]);
					}
				},
			onFailure: function(transport) {
				alert(transport.status + ' - ' + transport.statusText);
			},
			onException: function(transport,ex) {
				alert(ex);
			}
		});
	}, interval);
}

// Initial bei allen Feldern eine onfocus-Methode registrieren, die sich das aktuelle Element merkt
// TODO msste eigentlich auch bei Feldern passieren, die dynamisch nachgeladen werden (z.B. Repeat-Zeilen)
Event.observe(window, 'load', fe_registerOnFocus);
function fe_registerOnFocus() {
	var forms = document.forms;
	for (var f = 0; f < forms.length; f++) {
		var submitText = "" + forms[f].onsubmit;
		if (submitText.indexOf('leaveCurrentField', 0) < 0) {
			// die onfocus-Listener nur registrieren, wenn auch die Funktion leaveCurrentField verwendet wird
			continue;
		}
		var elements = Form.getElements(forms[f]);
		for (var i = 0; i < elements.length; i++) {
				Event.observe(elements[i], "focus", fe_rememberFocusedElement);
		}
	}
}

// Um ein Formular vor nicht gespeichertem Verlassen zu schtzen,
// kann diese Methode als unload-Listener registriert werden:
var old_onbeforeunload = undefined;
var fe_unloadMessage = undefined;
var fe_sendLeave = false;
function fe_registerUnloadMessage(message, formId) {
	if (fe_unloadMessage == undefined) {
		// Zur Absicherung, dass nicht mehrere Meldungen angezeigt werden. Das erste Formular mit Unload-Message gewinnt.
		fe_unloadMessage = message;
		// Beim unload-Event kann man zwar ncoh enie Meldung bringen, aber nicht mehr das Verlassen der Seite verhindern.
		// Deshalb kann nur onbeforeunload verwendet werden, was allerdings nicht fr Opera funktioniert.
//		Event.observe(window, 'unload', function(){return fe_unloadPage(message);});
		old_onbeforeunload = window.onbeforeunload;
		window.onbeforeunload = function(){return fe_beforeUnloadPage(message);};

		fe_sendLeave = true;
		Event.observe(window, 'unload', function(){fe_ajaxLeaveForm(formId);});	}
}

var fe_changedAValue = false;
function fe_beforeUnloadPage(message) {
	if (fe_changedAValue) {
		return message;
		// alte Variante fr onunload, die aber nicht funktioniert, weil das unload nicht unterbrochen werden kann
//		return confirm(message);
	}
//	return null; (( null geht nicht, um keine Meldung anzuzeigen
//	else {
//		return true;
//	}
}

var fe_focusedElement;
function fe_rememberFocusedElement(event) {
	fe_focusedElement = event.target;
}

function leaveCurrentField() {
	if (fe_focusedElement) {
		fe_focusedElement.blur();
	}
}


//function showTooltip(event, divId) {
function showMessageTooltip(event, elem) {
//	var divId = findComponentId(elem.id) + ":message_box";
	var boxDiv = findElement(elem, ":message_box");
	showTooltip(event, boxDiv);

//	var targetLeft = (Event.pointerX(event) + 8);
//	boxDiv.style.left = targetLeft + 'px';
//	boxDiv.style.top = (Event.pointerY(event) + 8) + 'px';
//
//	// muss aktiviert werden, um das Ergebnis mit page abfragen zu knnen
//	boxDiv.style.visibility = 'hidden';
//	boxDiv.style.display = 'block';
//
//	// Workaround fr falsche Positionierung in zentrierten Layouts:
//	// Ziel mit dem Ergebnis vergleichen und korrigieren
//	var resultLeft = Position.page(boxDiv)[0];
//	if (resultLeft != targetLeft) {
//		boxDiv.style.left = eval(targetLeft - (resultLeft - targetLeft)) + 'px';
//	}
//	boxDiv.style.visibility = 'visible';
}

function fe_showMessageTooltipAtElement(element, tooltipContainer) {
	var baseName;
	if (Object.isString(tooltipContainer)) {
		baseName = tooltipContainer;
	}
	else {
		baseName = tooltipContainer.id;
	}
	var boxDiv = $(baseName + ":message_box");
	fe_showTooltipAtElement(element, boxDiv);
}

function hideMessageTooltip(elem) {
//	var divId = findComponentId(elem.id) + ":message_box";
//	hideTooltip(event, divId);
	var boxDiv = findElement(elem, ":message_box");
	boxDiv.style.display = 'none';
}

// Tooltips mit bekannter Div-Id
function showTooltip(event, divId) {
	// TODO wenn das jetzt geht, wird elem doch nicht bentigt
	divId = $(divId);
//	elem = $(elem);

	var targetLeft = Event.pointerX(event) + 8;
//	var targetLeft = elemPos.x + 8;
//	var targetLeft = Element.getStyle(elem, 'left') + 8;
	var targetTop = Event.pointerY(event) + 8;
//	var targetTop = elemPos.y - Element.getHeight(divId) + 4;
//	var targetTop = Element.getStyle(elem, 'top') - Element.getHeight(divId) + 4;

	_fe_showTooltip(divId, targetTop, targetLeft);
}

function _fe_showTooltip(tooltipContainer, targetTop, targetLeft) {
	tooltipContainer.style.left = targetLeft + 'px';
	tooltipContainer.style.top = targetTop + 'px';

	// die absolute Zielposition des Tooltip wird zu einer festen Position in Bezug gesetzt, die
	// mit derselben Methode ermittelt wird, wie spter die die resultierende Position (getAbsolutePos).
	// Da die Brwoser in getAbsolutePos unterschiedliche Ergebnisse liefern, kann der Wert nur als Vergleichswert
	// fr die absolute Position nach dem Setzen der style-Positoinen verwendet werden.
	// Dazu mssen das Bezugselement und das zu positionierende Element Kind-Elemente in der selben Ebene sein.
//	var elemPos = getAbsolutePos(elem);
//	var offsetX = targetLeft - elemPos.x;
//	var offsetY = targetTop - elemPos.y;

	// muss aktiviert werden, um das Ergebnis die Dimension und Position korrekt abfragen zu knnen
	tooltipContainer.style.visibility = 'hidden';
	tooltipContainer.style.display = 'block';

	// Workaround fr falsche Positionierung in relativen Layouts:
	// Ziel mit dem Ergebnis vergleichen und korrigieren
//	var pagePosition = Element.viewportOffset(divId);
//	if (pagePosition[0] != targetLeft) {
//		divId.style.left = eval(targetLeft - (pagePosition[0] - targetLeft)) + 'px';
//	}
//	if (pagePosition[1] != targetTop) {
//		divId.style.top = eval(targetTop - (pagePosition[1] - targetTop)) + 'px';
//	}
	var ttPosition = getAbsolutePos(tooltipContainer);
	if (ttPosition.x != targetLeft) {
		tooltipContainer.style.left = eval(targetLeft - (ttPosition.x - (targetLeft))) + 'px';
	}
	if (ttPosition.y != targetTop) {
		tooltipContainer.style.top = eval(targetTop - (ttPosition.y - (targetTop))) + 'px';
	}
//	if (ttPosition.y != elemPos.y + offsetY) {
//		divId.style.top = eval(targetTop - (ttPosition.y - (elemPos.y + offsetY))) + 'px';
//	}
	tooltipContainer.style.visibility = 'visible';
}

function fe_showTooltipAtElement(element, tooltipContainer) {
	element = $(element);
	var offset = element.cumulativeOffset();
	// Anzeige rechts oben neben dem Element
	var top = offset.top - tooltipContainer.getHeight() + 2;
	var left = offset.left + element.getWidth() - 6;

	_fe_showTooltip(tooltipContainer, top, left);
}

function hideTooltip(divId) {
	$(divId).style.display = 'none';
}
function fe_hideMe(event) {
	var elem = Event.element(event);
	hideTooltip(elem);
}


// zeigt ein Div als Popup an. Dabei wird das Div aus seiner Struktur entfernt und direkt unterhalb des body-Elements eingefgt,
// so dass es ber seinem Parent Element steht.
/*
function openPopupOver(event, elem) {
	elem = $(elem);
	var linkElem = $(elem.id + "_link");

	var parent = elem.parentNode;
	// Element auf oberste Ebene umhngen, wenn noch nicht geschehen
	if (parent.nodeName != 'body') {
		parent.removeChild(elem);
		document.getElementsByTagName('body')[0].appendChild(elem);
	}

	elem.style.left = (Event.pointerX(event) - 8) + 'px';
	elem.style.top = (Event.pointerY(event) - 8) + 'px';
	elem.style.display = 'block';
	elem.style.visibility = 'visible';
}
*/

/* Schliet das Popup nur, wenn sich der Pointer bei diesem Event, auerhalb des Elements befindet */
/*
function checkPopup(event, elem) {
	var pointerX = Event.pointerX(event);
	var pointerY = Event.pointerY(event);
	// die Bestimmung der Position bzgl. der Mouse-Position funktioniert nur wenn sie wie beim setzen in openPopup ermittelt wird
	// TODO vielleicht gibt es auch eine standardisiertere Methode :-/
	var elemX = Number(elem.style.left.substring(0, elem.style.left.length - 2));
	var elemY = Number(elem.style.top.substring(0, elem.style.top.length - 2));
//	ajaxAlert("elem position y: " +elemY+ ", " + parentPos.y + " / " + elem.style.top + " (event " + pointerY + ")");
	// Beim verlassen nach links und oben 2 px Toleranz fr den IE
	if (pointerX <= elemX + 2 || pointerY <= elemY + 2
			|| pointerX >= elemX + Element.getWidth(elem)
			|| pointerY >= elemY + Element.getHeight(elem)) {
		elem.style.display = 'none';
	}
}
*/

// modifizierte Funktion aus calendar.js bernommen, um die absolute Position eines Elements zu finden
// @deprecated wurde fr die popup-Methoden verwendet
// wird nun zum ffnen von Tooltips verwendet, da dort die Koordinaten des Mouse-Events fr Verschiebungen gesorgt haben
function getAbsolutePos(el) {
	var offset = Element.cumulativeOffset(el);
	var scrollOffset = Element.cumulativeScrollOffset(el);
	var bodyScrollOffset = Element.cumulativeScrollOffset(document.body);

	return { x: offset.left - scrollOffset.left + bodyScrollOffset.left, y: offset.top - scrollOffset.top + bodyScrollOffset.top};
}

function showButtons(elem) {
	var buttonsDiv = elem.getElementsByTagName("div")[1]; // erstes Div enthlt die Buttons
	buttonsDiv.style.display = 'block';
}

function hideButtons(elem) {
	var buttonsDiv = elem.getElementsByTagName("div")[1]; // erstes Div enthlt die Buttons
	buttonsDiv.style.display = 'none';
}

// Submit-Methoden

// Hilfsmethode, um aus einem anderen Fenster einen Wert zu verndern
function setElementValue(elementName, value) {
	if ($(elementName)) {
		$(elementName).value = value;
	}
	else {
		alert("found no element " + elementName);
	}
}
function getElementValue(elementName) {
	return $(elementName).value;
}

//function setValueDelayed(elementName, value) {
//	window.setTimeout("setValue(elementName, value)", 1000);
//}

// Setzt den Wert eines html-Feldes und fuehrt ggf. das onchange-event aus
function fe_changeValue(fieldId, value) {
	var inputField = $(fieldId);

	inputField.value = value;
	doOnChange(inputField);
}

function doOnChange(inputField) {
	if (typeof inputField.onchange == "function") {
		inputField.onchange();
	}
}

function deleteValue(elem, suffix) {
	elem = findComponentId(elem);
	if (suffix) {
		if (!suffix.startsWith(":")) {
			suffix = ":" + suffix;
		}
		elem = $(elem + suffix);
	}
	fe_changeValue(elem, '');
}

/* Sendet den Wert fr eine einzelne Komponente direkt */
function sendValue(elem, value, fieldSuffix) {
	if (value != undefined) {
		// Sonderbehandlung fuer String momentan nicht erforderlich, da alles ber this laeuft
//		var  componentId = elem;
//		if (!Object.isString(elem)) {
//			componentId = findComponentId(elem);
//		}
		var componentId = elem.id;
		// erst direkt mit der Id des Elements versuchen, da sie ein Feld einer MultiField-Komponente sein kann
		if (!componentId) {
			// dann die Id in uebergeordneten Elementen suchen 
			componentId = findComponentId(elem);
		}
		if (fieldSuffix) {
			if (!fieldSuffix.startsWith(":")) {
				fieldSuffix = ":" + fieldSuffix;
			}
			if (!componentId.endsWith(fieldSuffix)) {
				componentId += fieldSuffix;
			}
		}
		var pair = { };
		pair[componentId] = value;
		ajaxDoSubmit(Object.toQueryString(pair));
	}
}

/* Sendet die Werte einer Komponente */
function ajaxDoSubmit(values, componentId) {
	fe_changedAValue = true;

	new Ajax.Request(fe_context_path + 'Submission', {
		method:'post',
		parameters: values,
		onSuccess: // handleResponse,
			function(transport, json) {
				json = getJson(transport,  json);
				if (isValidResponse(json)) {
					handleResponse(json, false);
				}
			},
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
		},
		onException: function(transport, ex) {
			alert(ex);
		},
		onComplete: function(transport) {
			if (200 != transport.status) {
				alert("Could not send data for component\n" + componentId + "\nThis may result in inconsistent form data.");
			}
		}
	});
	if (componentId) {
		var popupDiv = $(componentId + ":renderer_popup");
		if (popupDiv && !Element.hasClassName(popupDiv, "fe_onchange_keep_open")) {
			if (popupDiv.popup) {
				// schlieen des Popups per popup.js
				popupDiv.popup.hide();
			}
			else {
				// eigene Popups ausblenden
				$(popupDiv).style.display = 'none';
			}
		}
	}
}

/* Sendet die Werte einzelner Felder */
function ajaxSubmit(field, field2) {
	var serialized = Form.Element.serialize(field, field2);
	if (serialized == '') {
		// Z.B. bei Listboxen wird bei komplett leerer Auswahl ein leerer Submit-String erzeugt.
		// Um im Submit den Namen der Komponente senden zu knnen,
		// ist eine Sonderbehandlung ber einen speziellen Feldnamen notwendig.
		sendValue(field, 'true', ':empty');
	}
	else {
		var componentId = findComponentId(field);
		ajaxDoSubmit(serialized, componentId);
	}
}

/* Sonderbehandlungen fr select-Felder, um beim IE6+7 disabled-Optionen wieder zu entfernen */
function checkSelection(select) {
	if (select.options[select.selectedIndex].disabled){
		// Zwangsweise keinen Wert auswhlen - der vorherige Wert kann hier nicht ermittelt werden
		select.selectedIndex = -1;
	}
}

function checkMultiSelection(select) {
	var options = select.options;
	for (var i = 0; i < options.length; i++) {
		var item = options[i];
		if (item.disabled && item.selected){
			/* den Wert wieder deselektieren */
			item.selected = false;
		}
	}
}


var submitRunning = false;
//var submitRunningCount = 0;

function ajaxSubmitForm(form, submissionName, nextpage, validation) {
	if (uploadQueue.length - finishedUploadCount > 0) {
		alert("upload running, please wait");
		return;
	}

	// Fr eine 100%ige Absicherung gegen doppelte Submits bruchte man Synchronisation ber das Boolean.
	// Allerdings sollte der sehr kurze Abstand zwischen Prfen und Setzen des Booleans ausreichen,
	// insbesondere wenn es fr GUI-Aktionen nur einen Thread gibt und erst der Ajax.Request einen neuen Thread anlegt.
	if (submitRunning) {
		return;
	}
	submitRunning = true;

	// Submit-Button ausgrauen
	changeSubmit(form, true);

	// mgliche Variante mit Zher, der atomar verwendet wird (zumindest in Java - wie ist das bei Javascript)
//	var currentCount = submitRunningCount++;
//	if (currentCount > 0) {
//		submitRunningCount--;
//		return;
//	}

	form['submit_by'].value = submissionName;
	// direkt den Inhalt des Attributs auslesen, da form.action bereits zur vollstndigen URL ergnzt wurde
	var actionAttr = Element.readAttribute(form, "action");
	new Ajax.Request(fe_context_path +  (validation == undefined || validation ? actionAttr : "SaveForm"), {
		method:'post',
		parameters: Form.serialize(form),
		onSuccess: function(transport, json) {
			json = getJson(transport,  json);
			if (isValidResponse(json) && handleResponse(json, true, form['form_name'].value)) {
				var saveException = json["save_exception"];
				var gotoNextPage = true;
				if (saveException != null) {
					alert(saveException);
					gotoNextPage = json["keep_page"] != "true";
				}
				if (gotoNextPage) {
					// damit die Seite ohne Warnung verlassen werden kann, den Handler wieder entfernen
					if (fe_unloadMessage != undefined) {
						window.onbeforeunload = old_onbeforeunload;
						fe_sendLeave = false;
					}
					var parentTargetValue = getParentTargetValue(json);
					if (parentTargetValue) {
						// ist im bergeordneten Frameset des DialogWindowRenderers definiert (dialogFrame.html)
						// TODO Untersttzung fr valueList?!
						var parentComponentId = feGetParentTargetComponentId(json);
						parent.submitValue(parentTargetValue, parentComponentId);
					}
					else {
						// normales Submit mit Weiterleitung auf Folgeseite
						window.location.href = getTarget(json, nextpage);
					}
				}
			}
			finishedSubmit(form);
		},
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
			finishedSubmit(form);
		},
		onException: function(transport, ex) {
			alert(ex);
			finishedSubmit(form);
		}
	});
}

function finishedSubmit(form) {
	changeSubmit(form, false);
	submitRunning = false;
}

function changeSubmit(form, disable) {
	var buttons = Element.select(form, ".ctype_submit .fe_c_content button, .ctype_reset .fe_c_content button, div.fe_submission input, div.fe_reset input, div.fe_cancel button");
	buttons.each(function(button) {
		Element.writeAttribute(button, "disabled", disable ? "disabled" : null);
	});
}

function getJson(transport, json) {
	if (json) {
		return json;
	}
	else if (transport.responseText && transport.responseText.startsWith('{')) {
		// bei prototype 1.6 hat das sonst zu einem Fehler gefhrt, wenn der x-json Header leer war,
		// und im transport kein json steckte, sondern html-Code
		return eval('(' + transport.responseText + ')');
	}
	else {
		return null;
	}
}

function isValidResponse(json) {
	if (json == undefined || json == null) {
		return false;
	}
//	json = getJson(transport, json);
	if (json["invalidAction"] != null) {
		return false;
	}
	var exception = json["exception"];
	if (exception != null) {
		alert(exception);
		return false;
	}
	return true;
}

function handleResponse(result, submitAll, formName) {
	try {
//		var result = getJson(transport, json);
		var keys = Object.keys(result);
		var errorOccured = false;
		for (var i = 0; i < keys.length; i++) {
			var cName = keys[i]; // Name der Komponente
			if (!cName.startsWith("fe:")) {
				// zuerst nur Komponentennamen bercksichtigen
				continue;
			}
			var fieldInfo = result[cName];
			if (handleValidationMessage(cName, fieldInfo)) {
//				ajaxAlert("errorOccured! " + key + ": " + fieldInfo);
				errorOccured = true;
			}
			// erst nach hanleValidationMessage aufrufen, damit der invaluid_value Status bereits richtig gesetzt ist
			if (!submitAll) {
//				var invalid = fieldInfo.validation == 'error' || fieldInfo.conversion == 'error';
				updateParentInvalidStates(cName);
			}
		}

		// beim Formular-Submit und wenn sonst kein Fehler auftrat ggf. Besttigungs-Dialog anzeigen
		if (submitAll && !errorOccured) {
			var confirmMsg = result["confirm_message"];
			if (confirmMsg != null) {
				var confirmed = confirm(confirmMsg);
				errorOccured = !confirmed;
				if (confirmed && result["send_confirmation"] == "true") {
					// Wenn mit write_connector geantwortet wird,
					// per Ajax write-Request senden
					new Ajax.Request(fe_context_path + "Submission", {
						asynchronous:false,
						method:'post',
						// aus dem Namen der Komponente wird beim Request nur die Id des Formulars ausgewertet
						parameters: {action:"saveSubmission",form_name:formName},
						onSuccess: function(transport, json) {
							json = getJson(transport, json);
							// eventuelle Exceptions per json an result anhngen
							result["save_exception"] = json["save_exception"];
							result["keep_page"] = json["keep_page"];
							// target-Informationen auch bernehmen?
							result["target"] = json["target"];
						},
						onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
						onException: function(transport,ex) { alert(ex); }
					});
				}
			}
		}

		if (!submitAll || errorOccured) {
			// bei Submits einzelner Felder oder wenn das Formular wegen Fehlern
			// nicht verlassen werden kann, die Renderer aktualisieren
			for (i = 0; i < keys.length; i++) {
				cName = keys[i]; // Name der Komponente
				// layout-Elemente ignorieren
				if (cName.startsWith("fe:") && cName.indexOf(':layout:') < 0) {
                    var fieldInfo = result[cName];
							handleRenderRequest(cName, fieldInfo);

                    if (submitAll) {
                        var focusField = fieldInfo['setFocus'];
                        if (focusField != undefined) {
                            // Fokus auf fehlerhafte Komponente ('', wenn Komponente aber kein bestimmtes Feld)
                            if (focusField != '') {
                                $(focusField).focus();
                                Effect.ScrollTo(focusField);
                            }
                            else {
                                // wenigstens immer zur Komponente scrollen
                                Effect.ScrollTo(cName + ':content');
                            }
                        }
                    }
				}
			}
		}

        // eventuelle automatische Aktionen ausfhren
        fe_handleResponseActions(result['response_actions']);
		return !errorOccured;
	}
	catch (ex) {
		alert(ex);
	}
	return false;
}

function fe_handleResponseActions(actions) {
    if (actions) {
        for (var i = 0; i < actions.length; i++) {
            var actionCode = actions[i];
            eval(actionCode);
        }
    }
}

function handleRenderRequest(cName, fieldInfo) {
	var render = fieldInfo['renderContent'];
	if (render) {
		// gesamte Komponente neu rendern
		var contentDiv = $(cName + ':content');
		renderComponent(render, contentDiv);
	}

	var label = fieldInfo['updateLabel'];
	if (label) { // falls notwendig, das label-html austauschen
		var labelDiv = $(cName + ':label');
		Element.replace(labelDiv.getElementsByTagName("label")[0], label);
	}

	var doUpdateFields = fieldInfo['updateFields'];
	if (doUpdateFields) {
		var updateIds = Object.keys(doUpdateFields);
		for (var i = 0; i < updateIds.length; i++) {
			var updateId = updateIds[i];
			var fieldName = cName;
//			if (updateId > 0) {
				fieldName = fieldName + ':' + updateId;
//			}

			var updateData = doUpdateFields[updateId];
			if ('' == updateData) {
				updateAction(fieldName, "renderFields");
				//renderFields(cName, updateId, $(fieldName + ':renderer'))
			}
			else if (updateData.startsWith("v:")) {
				setElementValue(fieldName, updateData.substring(2));
			}
			else if (updateData.startsWith("r:")) {
				// xhtml-Inhalt direkt austauschen
				var content = updateData.substring(2);
				$(fieldName + ':renderer').update(content);
			}
			else if (updateData.startsWith("e:")) {
				// JS per eval ausfhren
				var evalCode = updateData.substring(2);
				eval(evalCode);
			}
			// weitere Methoden...
		}
	}

	var containerDiv = $(cName + ':container');
	handleClasses(containerDiv, fieldInfo);
}

var allowedHideEffects = ["BlindUp", "SlideUp", "Fade", "Puff"];
var allowedShowEffects = ["BlindDown", "SlideDown", "Appear"];

// ndert ausgehend von den Information die per JSON geliefert wurden die Klasse eines Elements
function handleClasses(element, fieldInfo) {
	var effectName = fieldInfo['effect'];
	var addClass = fieldInfo['addclass'];
	if (addClass) {
		if (Object.isString(addClass)) {
			if (addClass == 'fe_cattr_hidden' && effectName != undefined) {
				if (allowedHideEffects.indexOf(effectName) < 0) {
					effectName = allowedHideEffects[0];
				}
				Effect[effectName](element, {duration:0.7});
//				Effect.BlindUp(element, {duration:0.7});

//					afterFinish:function(){Element.addClassName(element, addClass)}});
				// Klasse braucht nicht mehr hinzugefgt werden, da durch scriptaculous ausgeblendet
				// _hidden knnte aber eigentlich auch immer hinzugefgt werden, um es anderweitig per css auszuwerten
			}
			else {
				// dann wird es aber sofort ausgeblendet, da der Effekt asynchron gestartet wird
				Element.addClassName(element, addClass);
			}
		}
		else {
			// als Hash {className:ElementId}
			var classes = Object.keys(addClass);
			for (var i = 0; i < classes.length; i++) {
				var className = classes[i];
				// rekursiver Aufruf, wegen der erweiterten Behandlung fr bestimmte Classes
				handleClasses($(addClass[className]), {'addclass':className});
			}
		}
	}
	var removeClass = fieldInfo['removeclass'];
	if (removeClass) {
		if (Object.isString(removeClass)) {
			Element.removeClassName(element, removeClass);
			if (removeClass == 'fe_cattr_hidden' && effectName != undefined) {
				if (allowedShowEffects.indexOf(effectName) < 0) {
					effectName = allowedShowEffects[0];
				}
				Effect[effectName](element, {duration:0.7,
					beforeStart:function(){Element.removeClassName(element, removeClass);}});
//				Effect.BlindDown(element, {duration:0.7,
//					beforeStart:function(){Element.removeClassName(element, removeClass);}});
			}
			else {
				Element.removeClassName(element, removeClass);
			}
		}
		else {
			// als Hash
			classes = Object.keys(removeClass);
			for (i = 0; i < classes.length; i++) {
				className = classes[i];
				// rekursiver Aufruf, wegen der erweiterten Behandlung fr bestimmte Classes
				handleClasses($(removeClass[className]), {'removeclass':className});
			}
		}
	}
}

/*
 * Gibt true zurck, wenn das fieldInfo-Objekt einen Validierungsfehler darstellt
 */
function handleValidationMessage(key, fieldInfo) {
	if (key.indexOf(':layout:') > 0) {
		// Sonderbehandlung von Layout-Elemente
		// diese werden markiert, wenn alle children invalid sind
		var invalidChildren = fieldInfo.invalidChildren;
		if (invalidChildren == 'true') {
			Element.addClassName(key + ':label', 'fe_invalid_children');
		}
		else {
			Element.removeClassName(key + ':label', 'fe_invalid_children');
		}

		var hiddenChildren = fieldInfo.allChildrenHidden;
		if (hiddenChildren == 'true') {
			Element.addClassName(key + ':label', 'fe_all_children_hidden');
		}
		else if (hiddenChildren == 'false') {
			// nur entfernen, wenn ausdrcklich false gesendet
			Element.removeClassName(key + ':label', 'fe_all_children_hidden');
		}


		return;
	}

	clearMessage(key, key + ':container', 'fe_invalid_value');

	var invalidChildren = fieldInfo.invalidChildren;
	if (invalidChildren != null) {
		if (invalidChildren == 'true') {
			Element.addClassName(key + ':container', 'fe_invalid_children');
		}
		else {
			Element.removeClassName(key + ':container', 'fe_invalid_children');
		}
	}

	var validation = fieldInfo.validation;
	var conversion = fieldInfo.conversion;
	if (validation && validation == 'error') {
		var immediateTooltipValue = fieldInfo["immediateTooltip"];
		var showImmediately = typeof immediateTooltipValue != "undefined";
		setMessage(key, fieldInfo.message, key + ':container', 'fe_invalid_value', showImmediately);
		if (showImmediately) {
			var elem = "true" == immediateTooltipValue ? key + ":message_label" : immediateTooltipValue;
			fe_showMessageTooltipAtElement(elem, key);
		}
		return true;
	}
	else if (conversion) {
		if (conversion == 'error') {
			var immediateTooltipValue = fieldInfo["immediateTooltip"];
			var showImmediately = typeof immediateTooltipValue != "undefined";
			setMessage(key, fieldInfo.message, fieldInfo.element, 'fe_invalid_input', showImmediately);
			if (showImmediately) {
				var elem = "true" == immediateTooltipValue ? key + ":message_label" : immediateTooltipValue;
				fe_showMessageTooltipAtElement(elem, key);
			}
			return true;
		}
		else {
			// alle Renderer in dieser Komponente zurcksetzen
			var contentDiv = $(key + ':content');
			if (contentDiv && contentDiv.hasClassName('fe_c_content')) {
				// nur in richtigen Komponenten die einzelnen Renderer bereinigen (nicht fr Gruppen und Repeats)
				var rendererDivs = contentDiv.immediateDescendants();
				for (var i = 0; i < rendererDivs.length; i++) {
					var renderer = rendererDivs[i];
					if (renderer.id) { // die Spacer berspringen
						clearMessage(key, renderer.id, 'fe_invalid_input');
					}
				}
			}
			return false;
		}
	}
	else {
		return false;
	}
}

function updateParentInvalidStates(key) { //, invalid) {
	// Erst prfen, ob Element in einem Layout-Element enthalten ist, das markiert werden muss
	var containerId = key + ':container';
	var parentLayoutElement;
	if ($(containerId)) {
		parentLayoutElement = $(containerId).parentNode;
		var layoutDelimIndex = parentLayoutElement.id.indexOf(':layout:');
		if (layoutDelimIndex > 0) {
			var layoutElementId = parentLayoutElement.id;
			// das Element befindet sich in einem Layout-Element, das auch markiert werden muss
			while (true) {
				// auerdem alle direkt bergeordneten Layout-Element die eine Label haben markieren
				var parentLayoutLabelId = layoutElementId + ':label';
				if ($(parentLayoutLabelId)) {
					// im Container-Element nach untergeordneten Fehlern suchen
					var invalidInLayout = Element.select(parentLayoutElement, '.fe_invalid_value', '.fe_invalid_input').length > 0;
					// die Label-Elemente entsprechend markieren
					if (invalidInLayout) {
						Element.addClassName(parentLayoutLabelId, 'fe_invalid_children');
					}
					else {
						Element.removeClassName(parentLayoutLabelId, 'fe_invalid_children');
					}
				}

				var lastLayoutDot = layoutElementId.lastIndexOf('.');
				if (lastLayoutDot < layoutDelimIndex) {
					// solange die Laoyut-Trenn-Punkte nach vorne gehen, bis for dem :layout: Trennzeichen
					break;
				}
				layoutElementId = layoutElementId.substring(0, lastLayoutDot);
			}
		}
	}

	// dann rekursiv parent-Elemente auf Struktur-Container prfen und ggf. markieren
	var lastDot = key.lastIndexOf(".");
	// parent-Element prfen, wenn container-Element
	var parentKey = key.substring(0, lastDot);
	if (parentKey.lastIndexOf(".") > -1) {

		var parentContainerId = parentKey + ':container';
		if ($(parentContainerId)) {
			// es gibt einen Container mit diesem Namen
			var invalidInContainer = Element.select($(parentContainerId), '.fe_invalid_value', '.fe_invalid_input').length > 0;

			if (invalidInContainer) {
				Element.addClassName(parentContainerId, 'fe_invalid_children');
			}
			else {
				Element.removeClassName(parentContainerId, 'fe_invalid_children');
			}
		}

		updateParentInvalidStates(parentKey); //, invalid);
	}
}

var tooltips = new Array();

function setMessage(componentId, message, highlightDiv, className, showImmediately) {
	var messageBoxId = componentId + ':message_box';
	var messageField = $(messageBoxId);
	var messageLabel = $(componentId + ':message_label');
	if (!messageField) {
		if (message == '') {
			// ohne div und ohne Message-Text bleibt alles wie bisher
			return;
		}
		messageField = createMessageBox(componentId, showImmediately);
	}
	highlightDiv = $(highlightDiv);
	if (messageField) {
		hideMessageTooltip(messageBoxId);
		messageField.update(message.replace(/\n/g, "<br/>"));
	}
	if (message != '') {
		if (messageLabel) {
			messageLabel.style.display='block';
		}
		else {
			// Tooltips direkt ber den betreffenden Feldern anzeigen,
			// statt eines separaten Bildes oder Textes
			highlightDiv.addClassName("fe_error_tooltip");

			var tooltip = {
				showOnClick:showImmediately,
				boxId:messageBoxId,
				highlightDiv:highlightDiv
			};
			
			if (showImmediately) {
				tooltip.clickHandler = function(event){showMessageTooltip(event, this.boxId);};
				tooltip.fClick = tooltip.clickHandler.bindAsEventListener(tooltip);
				highlightDiv.addClassName("fe_pointer");
				highlightDiv.observe("click", tooltip.fClick);
			}
			else {
				tooltip.overHandler = function(event){showMessageTooltip(event, this.boxId);};
				tooltip.outHandler = function(event){hideMessageTooltip(this.boxId);};
				tooltip.fOver = tooltip.overHandler.bindAsEventListener(tooltip);
				tooltip.fOut = tooltip.outHandler.bindAsEventListener(tooltip);
				highlightDiv.observe('mouseover', tooltip.fOver);
				highlightDiv.observe('mouseout', tooltip.fOut);
			}
			tooltips[componentId] = tooltip;
		}
		highlightDiv.addClassName(className);
	}
	else {
		if (messageLabel) {
			messageLabel.style.display='none';
		}
		else {
			Element.removeClassName(highlightDiv, "fe_error_tooltip");
			var tooltip = tooltips[componentId];
			tooltips[componentId] = null;
			if (tooltip != null) {
				// die highlightId aus dem gecachten Objekt verwenden, da die bergebene
				// bei einem allgemeinen Entfernen der Tooltips nicht stimmen muss
				if (tooltip.showOnClick) {
					tooltip.highlightDiv.stopObserving("click", tooltip.fClick);
				}
				else {
					tooltip.highlightDiv.stopObserving('mouseover', tooltip.fOver);
					tooltip.highlightDiv.stopObserving('mouseout', tooltip.fOut);
				}
			}
		}
		highlightDiv.removeClassName(className);
	}
}

function createMessageBox(componentId, closeOnClick) {
	// toolTip-Element dynmaisch anlegen
	if (componentId == "c_unknown") {
		return null;
	}
	var messageDiv = new Element('div', {'id':componentId + ':message_box'});
	messageDiv.addClassName('fe_message');
	if (closeOnClick) {
		messageDiv.addClassName("fe_pointer");
		messageDiv.setAttribute("title", "click to close");
		Event.observe(messageDiv, "click", fe_hideMe);
		// Fr advice-type=field: Tooltip auerhalb der Komponente, da mouseover ber gesamten Komponentenbereich sonst
		// fr Tooltip selbst auch gilt und somit der Tooltip vor der Maus wegluft.
		Element.insert(document.body, messageDiv);
	}
	else {
		Element.insert($(componentId + ':container'), messageDiv);
	}
	return messageDiv;
}

function clearMessage(fieldId, elementId, className) {
	setMessage(fieldId, '', elementId, className);
}

// File-Upload

var uploadQueue = [];
var finishedUploadCount = 0;
var noUploadCount = 0;

function queueUpload(field) {
	var componentId = field.name;
	$(componentId + '_progress').style.display = 'block';
	$(componentId + '_progress_text').innerHTML = 'waiting: 0%';

	// Im IE und Firefox sind scheinbar nur 2 Requests pro Seite gleichzeitig mglich.
	// Deshalb wird eine Warteschlange fr die Submits verwaltet.
	uploadQueue[uploadQueue.length] = field;
	if (uploadQueue.length - finishedUploadCount == 1) {
		// sofort hochladen
		runProgessBar(field.name);
		field.form.submit();
	}
	field.disabled = true;
	field.form.style.display = 'none';
	// anderenfalls wird es nur an die Liste gehngt
}

// Status, ob gerade ein Request luft, um bei lang laufenden Requests keine parallelen Requests abzusetzen
var isRequesting = false;

function runProgessBar(fieldName) {
	// nur einen Request fr alle Uploads laufen lassen und eine Liste aller
	// Progressbars zurckgeben.
	new PeriodicalExecuter(function(pe) {
		if (isRequesting) {
			console.log("is already requesting");
			return;
		}

		isRequesting = true;

		new Ajax.Request(fe_context_path + "Submission", {
			method:'post',
			// aus dem Namen der Komponente wird beim Request nur die Id des Formulars ausgewertet
			parameters: {action:"uploadState",uploadId:fieldName},
			onComplete: function() { isRequesting = false; },
			onSuccess: function(transport, json) {
				json = getJson(transport, json);

				if (!isValidResponse(json)) {
					// Executer abbrechen?
					finishedUploadCount++;
					if (uploadQueue.length <= finishedUploadCount) {
						pe.stop(); // das war der letzte
					}
					return;
				}

				// alle Komponenten in der Antwort auswerten und behandeln
				handleResponse(json, false);

				var checkUploadQueue = false;
				var keys = Object.keys(json);

				if (keys.length == 0) {
					noUploadCount++;
					if (noUploadCount == 3) {
						// nach drei Fehlerversuchen wird der nchste Upload aus der Schlange gestartet, falls vorhanden
						// Kann passieren, wenn Repeat-Zeilen mit ungestarteten Upload-Feldern gelscht werden
						// (Mglicherweise gibt es aber auch noch andere Fehlerzustnde, die so flschlicherweise behandelt werden)
						finishedUploadCount++;
						noUploadCount = 0;
						checkUploadQueue = true;
					}
				}

//				var errorOccured = false;
				for (var i = 0; i < keys.length; i++) {
					// der Key ist der vollstndige Name der Komponente (also die Element-Id)
					var key = keys[i];
					var fieldInfo = json[key];
					var renderer = fieldInfo["renderer"];
					var progressPercent = fieldInfo["percent"];
					if (progressPercent != null) {
						$(renderer + ':file_progress_text').innerHTML = fieldInfo["message"] + " " + progressPercent + '%';
						$(renderer + ':file_progress_content').style.width = parseInt(progressPercent * 2.3) + 'px';
					}
					else {
						var isUploadField = renderer != undefined && $(renderer + ':file_progress') != null;
						if (isUploadField) {
							// ohne Prozent-Angabe im JSON-Container ist der Upload beendet
							$(renderer + ':file_progress').style.display = 'none';
							$(renderer + ':file_progress_content').style.width = '0';
							finishedUploadCount++;
							if (fieldInfo["error"] != null) {
								// nach einem Fehler immer komplett neu rendern,
								// da Firefox3 auf MacOS die Komponente nach einem gescheiterten Upload einer app-Datei blockiert
								updateAction(renderer, "renderFields");
								alert("Error: " + fieldInfo["error"]);
							}
							else if (fieldInfo["uploadCanceled"] != null) {
								// neu rendern, wenn Abbruch durch User (und nicht durch lschen einer Zeile mit dem Upload
								updateAction(renderer, "renderFields");
							}
							else {
								var previewUpdate = fieldInfo["preview"];
								if (previewUpdate != null) {
									// direktes Update derzeit nur noch fr die Anzeige von Fehlern
									$(key + ":file_preview").update();
								}
//								handleResponse(json, false);
							}
							checkUploadQueue = true;
						}
						else if (fieldInfo["uploadCanceled"] != null) {
							// cancel ohne Update(Renderer)-informationen
							finishedUploadCount++;
							checkUploadQueue = true;
						}

					}
				}

				while (checkUploadQueue) {
					checkUploadQueue = false;
					if (uploadQueue.length <= finishedUploadCount) {
						// das war der letzte
						pe.stop();
					}
					else {
						// den nchsten submitten
						var field = uploadQueue[finishedUploadCount];
						// TODO prfen, ob Field noch existiert. Wurde evtl. mit gesamter Zeile gelscht. Dann wird das submit vom Browser nicht ausgefhrt
						// leider bisher keine Mglichkeit dafr gefunden (deshalb wird oben der Empfang einer leeren Antwort ausgewertet)
						if (field != null) {
							field.disabled = false; // kurz freischalten, um submitten zu knnen
							field.form.submit();
							field.disabled = true;
						}
						else {
							// Das Feld wurde aus der Liste entfernt - also das nchste Feld hochladen
							finishedUploadCount++;
							checkUploadQueue = true;
						}
					}
				}

			},
			onFailure: function(transport) {
				alert(transport.status + ' - ' + transport.statusText);
			},
			onException: function(transport,ex) {
				alert(ex);
			}
		});
	}, 1);
}

function cancelUpload(elem) {
	var componentId = findComponentId(elem);
	var uploadFieldId = componentId + ":file";

	// noch nicht gestartete Uploads durchsuchen und ggf. stoppen
	for (var i = finishedUploadCount + 1; i < uploadQueue.length; i++) {
		var uploadField = uploadQueue[i];
		if (uploadField != null && uploadField.name == uploadFieldId) {
			// Aus Upload-Liste entfernen und Feld wieder aktivieren
			uploadQueue[i] = null;
			uploadField.form.style.display = 'block';
			uploadField.disabled = false;
			// Feldinhalt zurcksetzen, statt es komplett neu zu rendern
			$(componentId + ':file_progress').style.display = 'none';
			$(componentId + ':file_progress_content').style.width = '0';
			updateAction(componentId, "renderFields");
		}
	}

	// Abbruch immer auch per Ajax an Server senden, um gerade laufenden Upload zu stoppen
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: {action:"cancelUpload",'componentId':uploadFieldId},
		onSuccess: function(transport, json) {
			// Bei erfolgreichem Abbruch passiert nichts weiter.
			// Da sich anichts im Formular ndert, muss nichts aktualisiert werden.
//			handleResponse(json, false);
		},
		onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
		onException: function(transport,ex) { alert(ex); }
	});
}

// TreeSelectRenderer

function foldNode(liElement, node) {
	liElement = liElement.parentNode;
	updateFragment(liElement, node);
	if (Element.hasClassName(liElement, "fe_node_open")) {
		Element.removeClassName(liElement, "fe_node_open");
		Element.addClassName(liElement, "fe_node_closed");
		// Entfernen des ul-Elements wrde nicht ausreichen, da das Schlieen
		// per Request dem TreeState auf dem Server mitgeteilt werden muss.
	}
	else {
		Element.removeClassName(liElement, "fe_node_closed");
		Element.addClassName(liElement, "fe_node_open");
	//	var componentId = getNextParentElementId(element);
	}
}

function setNode(element, value) {
	var allowDeselect = true;
	if (!Object.isElement(element)) {
		// Es wird ein Event uebergeben, wenn die Ctrl-Taste beim Deselektieren gedrueckt sein muss
		allowDeselect = element.ctrlKey;
		element = Event.element(element);
	}
	// else Ein Element wird uebergeben, wenn ein selektiertes Element beim erneuten Klicken immer deselektiert wird
//	var componentId = null;
	var newInPath = new Array();
	var deselected = false;
	while (true) {
		element = element.parentNode;
		if (element.tagName == "LI") {
			// alle LI-Elemente im neuen Pfad markieren und merken
//			alert("has selected class = " + Element.hasClassName(element, "fe_node_selected"));
			// Unterscheidung zwischen node_selected und node_in_path
			if (newInPath.length == 0 && allowDeselect &&  Element.hasClassName(element, "fe_node_selected")) {
				// wenn ctrl gedrckt wurde und das Element schon selektiert war,
				// wird es deselektiert und der Wert gelscht
				value = "";
				deselected = true;
			}
			else if (!deselected) {
				if (newInPath.length == 0) {
					// das erste Element wird als selected markiert, wenn nicht bereits ein anderes deselektiert wurde
					Element.addClassName(element, "fe_node_selected");
				}
				else {
					// falls der alte selektierte Knoten im Pfad des neuen liegt, die Klasse immer im neuen Pfad entfernen
					Element.removeClassName(element, "fe_node_selected");
				}
				newInPath.push(element);
				Element.addClassName(element, "fe_node_in_path");
			}
		}
		else {
			// die zwischenzeitlichen ul-Elemente haben keine Id - erst der Renderer oder das popup-Div
			if (Element.readAttribute(element, 'id')) {
				break;
			}
		}
	}
//	if (componentId.endsWith(":renderer")) {
//		componentId = componentId.substring(0, componentId.indexOf(":renderer"));
//	}
	var componentId = findComponentId(element);
	// Wert im Input-Feld nmdern und damit senden
	fe_changeValue(componentId, value);

	var oldInPath = Element.select(element, '.fe_node_in_path');
	oldInPath.each(function(item) {
		// alle Markierungen der Elemente des alten Pfades entfernen, auer die auch im neuen sind 
		if (newInPath.indexOf(item) < 0) {
			Element.removeClassName(item, "fe_node_in_path");
		}
	});
	var oldSelected = Element.select(element, '.fe_node_selected');
	oldSelected.each(function(item) {
		if (newInPath.indexOf(item) < 0) {
			Element.removeClassName(item, "fe_node_selected");
		}
	});
}

function msetNode(element, value) {
	// TODO fr Mehrfachauswahl im Baum Angeklickten Wert hinzufgen oder entfernen
	// und an den Server senden
	// TODO bei Mehrfachauswahl nicht die Pfade der selektierten Elemente markieren
	var toggleMode = true;
	if (!Object.isElement(element)) {
		// Es wird ein Event uebergeben, wenn die Ctrl-Taste beim Deselektieren gedrueckt sein muss
		toggleMode = element.ctrlKey;
		element = Event.element(element);
	}
	// else Ein Element wird uebergeben, wenn immer der toggleMode gilt
	element = getNextParentElementByName(element, "LI");
	var fieldId = findComponentId(element) + ":";
	if (toggleMode) {
		fieldId += "toggle";
		fe_changeValue(fieldId, value);
		if (Element.hasClassName(element, "fe_node_selected")) {
			Element.removeClassName(element, "fe_node_selected");
		}
		else {
			Element.addClassName(element, "fe_node_selected");
		}
	}
	else {
		var rootElement = $(fieldId + "renderer");
		fieldId += "set";
		var oldSelected = Element.select(rootElement, '.fe_node_selected');
		if ((!Element.hasClassName(element, "fe_node_selected") || oldSelected.length > 1)) {
			// wenn ein nicht selektiertes angeklickt wird, oder mehr als nur eins selektiet war
			// dann nur das angeklickte selektieren
			fe_changeValue(fieldId, value);
			// alle anderen entfernen
			oldSelected.each(function(item) {
				Element.removeClassName(item, "fe_node_selected");
			});
			Element.addClassName(element, "fe_node_selected");
		}
	}
	// hinterher wieder leeren, damit es nicht nochmal beim Submit gesendet wird
	setElementValue(fieldId, "");
}

// Sucht nach dem naechsten uebergeordneten Element mit dem angegebenen Namen.
// Achtung: der Name muss upperCase uebergeben werden
function getNextParentElementByName(element, name) {
	element = element.parentNode;
	while (element && name != element.tagName) {
		element = element.parentNode;
	}
	return element;
}

function getNextParentElementId(element) {
	var componentId = null;
	// naechstes Component-Element mit einer id suchen
	while (!componentId) {
		element = element.parentNode;
		componentId = Element.readAttribute(element, 'id');
	}
	return componentId;
}


function findElement(elem, idSuffix) {
	if (Object.isString(elem)) {
		elem = $(elem);
	}
	if (!Object.isElement(elem)) {
		return null;
	}
	if (elem.id != null && elem.id.endsWith(idSuffix)) {
		// bereits das richtige Element
		return elem;
	}

	var elemId = getNextParentElementId(elem);
	var index = elemId.lastIndexOf(':');
	elemId = elemId.substring(0, index) + idSuffix;
	return $(elemId);
}

/* Sucht im aktuellen und den bergeordneten Elementen nach der Id und entfernt deren :Suffix */
function findComponentId(elem) {
	if (Object.isString(elem)) {
		elem = $(elem);
	}
	if (!Object.isElement(elem)) {
		return null;
	}
	var elemId = elem.id;
	if (!elemId) {
		elemId = getNextParentElementId(elem);
	}

	var index = elemId.lastIndexOf(':');
	if ('.0123456789'.indexOf(elemId.charAt(index + 1)) > -1) {
		// Das ist bereits die Id ohne Feld-Zusatz (. = Anfang des Namens; 0-9 = RendererId
		return elemId;
	}
	return elemId.substring(0, index);
}

// Optionen

function removeOption(elem, value) {
	var fieldId = findComponentId(elem) + ":remove";
	fe_changeValue(fieldId, value);
	// TODO nur bei Erfolgsbesttigung vom Server! Aber wie?
	Element.remove(getNextParentElementByName(elem, "LI"));
	// hidden-Feld hinterher wieder leeren, damit es nicht nochmal beim Submit gesendet wird
	setElementValue(fieldId, "");
}

function addOption(elem, value) {
	var fieldId = findComponentId(elem) + ":add";
	fe_changeValue(fieldId, value);
	// TODO nur bei Erfolgsbesttigung vom Server! Aber wie?
	Element.remove(elem);
	// hidden-Feld hinterher wieder leeren, damit es nicht nochmal beim Submit gesendet wird
	setElementValue(fieldId, "");
}


// Repeats und Gruppen

function toggleGroup(componentId) {
	var fieldSet = $(componentId + ":set");
	var content = $(componentId + ":content");
//	if (Element.hasClassName(fieldSet, "fe_collapsed")) {
	if (!content.visible()) {
		Element.removeClassName(fieldSet, "fe_collapsed");
		fe_doAction({"action":"show", "componentId":componentId}, null);
	}
	else {
		Element.addClassName(fieldSet, "fe_collapsed");
		fe_doAction({"action":"hide", "componentId":componentId}, null);
	}
	content.toggle();
}

// aktuell selektierte Repeat-Zeilen (RepeatId:zeile)
var selectedRows = {};

function getRowElement(repeatId, row) {
	return $(repeatId + '.' + row + ':container');
}

function deselectAllRows() {
	var keys = Object.keys(selectedRows);
	keys.each(function(repeatId) {
		var row = selectedRows[repeatId];
		if(row) {
			selectRowById(repeatId + '.' + row, true);
		}
	});
}

function selectRow(event, elem) {
	var rowId = findComponentId(elem);
	selectRowById(rowId, event && event.ctrlKey);
}

function selectRowById(rowId, allowDeselect) {
	var index = rowId.lastIndexOf('.');
	var row = rowId.substring(index + 1);
	var repeatId = rowId.substring(0, index);
	var oldRow = selectedRows[repeatId];
	selectedRows[repeatId] = row;

	if (row != oldRow) {
		if (oldRow) {
			Element.removeClassName(getRowElement(repeatId, oldRow), "fe_selected_repeat_row");
		}
		Element.addClassName(getRowElement(repeatId, row), "fe_selected_repeat_row");
	}
	else if (allowDeselect) {
		// deselektieren, wenn auch Ctrl.
		Element.removeClassName(getRowElement(repeatId, row), "fe_selected_repeat_row");
		selectedRows[repeatId] = null;
	}
}

function deleteRow(elem, thisRow) {
	var repeatId = findComponentId(elem);
	var rowId;
	if (thisRow) {
		// Wenn true, wird die Zeilennummer aus dem Element ermittelt
		var index = repeatId.lastIndexOf('.');
		// repeatId und rowIndex aufsplitten
		rowId = repeatId.substring(index + 1);
		repeatId = repeatId.substring(0, index);
	}
	else {
		rowId = selectedRows[repeatId];
	}
	if (!rowId) {
		return;
	}
    fe_executeDeleteRow(repeatId, {action:"deleteRow",'componentId':repeatId,'rowId':rowId});
}

// Lschteine Repeat-Zeile an der angegeben (serverseitigen) Position ein (negative Werte lschen vom Ende gesehen; -1 lscht die letzte Zeile)
function fe_deleteThisRow(repeatId, rowIndex) {
    fe_executeDeleteRow(repeatId, {action:"deleteRow",'componentId':repeatId,'deletePosition':rowIndex});
}

function fe_executeDeleteRow(repeatId, requestParameters) {
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: requestParameters,
		onSuccess: function(transport, json) {
			json = getJson(transport,  json);
			if (isValidResponse(json)) {
				selectedRows[repeatId] = null;
                var jsonRepeat = json[repeatId];
                var deletedRowId = jsonRepeat["deletedRowId"];
				Element.remove(getRowElement(repeatId, deletedRowId));
				handleResponse(json);
			}
		},
		onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
		onException: function(transport,ex) { alert(ex); }
	});
}

// Fgt eine Zeile an der clientseitig derzeit selektierten Position ein (davor oder dahinter)
function insertRow(elem, before, rowIndex) {
	var repeatId = findComponentId(elem);
	var selectedRowId = (rowIndex != undefined) ? rowIndex : selectedRows[repeatId];
	// wenn after, muss das Servlet beim Einfgen noch eine Zeile weiter nach hinten
	// selectedRow kann nicht einfach um 1 erhht werden, da es einen Unterschied
	// zwischen serverseitiger und clientseitiger Zeilen-Id gibt.
	var offset = before ? 0 : 1;
    // merkwrdiges Verhalten: macht auch aus 0 eine -1, wenn rowIndex nicht undefined ist (muss so bleiben)
    // ist typ-abhngig !selectedRow liefert bei Number true / bei string false 
	if (!selectedRowId) {
		selectedRowId = -1;
	}

    fe_executeInsertRow(repeatId, {action:"newRow",'componentId':repeatId,'selectedRowId':selectedRowId,'offset':offset});
}

// Fgt eine Repeat-Zeile an der angegeben (serverseitigen) Position ein (-1 fgt am Ende ein)
function fe_insertNewRow(repeatId, rowIndex) {
    fe_executeInsertRow(repeatId, {action:"newRow",'componentId':repeatId,'insertPosition':rowIndex});
}

function fe_executeInsertRow(repeatId, requestParameters) {
	var repeatContent = $(repeatId + ':content');
	var tables = repeatContent.getElementsByTagName('table');
	// in tabellen bis zum tbody vorarbeiten
	if (tables.length > 0) {
		// wurde als Tabelle gerendert
		var table = tables[0];
		repeatContent = table.getElementsByTagName('tbody')[0];
	}

	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: requestParameters,
		onSuccess: function(transport, json) {
			json = getJson(transport,  json);
			if (!isValidResponse(json)) {
				return;
			}
			var jsonRepeat = json[repeatId];
            var insertBeforeRowId = jsonRepeat["beforeRowId"];
			var responseText = jsonRepeat["newRow"];
            if (insertBeforeRowId < 0) {
                Element.insert(repeatContent, {bottom:responseText});
            }
            else {
                Element.insert(getRowElement(repeatId, insertBeforeRowId), {before:responseText});
            }
/*
			if (selectedRowId >= 0) {
				if (before) {
					Element.insert(getRowElement(repeatId, selectedRowId), {before:responseText});
				}
				else {
					Element.insert(getRowElement(repeatId, selectedRowId), {after:responseText});
				}
			}
			else {
				if (before) {
					Element.insert(repeatContent, {top:responseText});
				}
				else {
					Element.insert(repeatContent, {bottom:responseText});
				}
			}
*/

			handleResponse(json);
			var focusId = jsonRepeat["focus"];
			self.focus();
			if (typeof focus != 'undefined' && $(focusId) != undefined) {
				$(focusId).focus();
			}
			selectRowById(jsonRepeat["newRowId"], false);
		},
		onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
		onException: function(transport,ex) { alert(ex); }
	});
}

function moveRow(elem, direction) {
	var repeatId = findComponentId(elem);
	var rowId = selectedRows[repeatId];
	if (!rowId) {
		return;
	}
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: {action:"moveRow",'componentId':repeatId,'row':rowId,'dir':direction},
		onSuccess: function(transport, json) {
			json = getJson(transport,  json);
			if (!isValidResponse(json)) {
				return;
			}
			// Ziel-Zeile aus JSON-Response ermitteln
			var fieldInfo = json[repeatId];
			if (!fieldInfo) {
				return;
			}
			var removeRow = getRowElement(repeatId, rowId);
			var otherRow = $(fieldInfo['otherRow'] + ':container');
			// erstmal entfernen
			Element.remove(removeRow);
			// dann neu einfuegen
			if (direction < 0) {
				Element.insert(otherRow, {before:removeRow});
			}
			else {
				Element.insert(otherRow, {after:removeRow});
			}
			handleResponse(json);
		},
		onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
		onException: function(transport,ex) { alert(ex); }
	});
}

function renderComponent(componentId, replaceDiv) {
//	ajaxAlert("renderCompoent " + componentId + " : " + replaceDiv.id);
	// Hier muss auch der EffectUpdater verwendet werden (statt Updater).
	// Mit dem normalen Updater wird JavaScript im Html-Code nicht ausgefhrt,
	// was aber z.B. fr die Initialisierung der Slider notwendig ist.
	new Ajax.EffectUpdater(replaceDiv, fe_context_path + "IMX_ACTION/FEAction", {
		method:'post',
		evalScripts: true,
		parameters: {action:"renderComponentContent",componentId:componentId},
//		insertion: Insertion.Bottom,
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
		},
		onException: function(transport,ex) {
			alert(ex);
		}
	});
}
// TODO kann weg?
function renderFields(componentId, renderId, replaceDiv) {
	new Ajax.EffectUpdater(replaceDiv, fe_context_path + "IMX_ACTION/FEAction", {
		method:'post',
		parameters: {action:"renderFields",componentId:componentId}, //,renderId:renderId},
//		insertion: Insertion.Bottom,
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
		},
		onException: function(transport,ex) {
			alert(ex);
		}
	});
}

function createPageSlider(sliderElem, start, max) {
//	sliderElem = $(sliderElem);
	var sliderHandle = sliderElem.down('.fe_slider_handle');
    new Control.Slider(sliderHandle, sliderElem, {
		range: $R(1, max),
	   values: $R(1, max),
      sliderValue: start,
      onSlide: function(value) {
	      sliderHandle.update(value);
      },
      onChange: function(value) {
	      sliderHandle.update(value);
	      updateAction(sliderElem, 'gotoPage', value);
      }
    });
}

function createValueSlider(sliderElem, current, min, max, direction, disabled) {
	var valueRange = $R(min, max);
	// geht leider nicht
//	if (direction == "vertical") {
//		valueRange = $A(valueRange).reverse().join(',');
//	}

	var sliderHandle = sliderElem.down('.fe_value_slider_handle');
    new Control.Slider(sliderHandle, sliderElem, {
	   axis: direction,
		range: valueRange,
	   values: valueRange,
      sliderValue: current,
	   disabled: disabled,
      onSlide: function(value) {
	      sliderHandle.update(value);
      },
      onChange: function(value) {
	      sliderHandle.update(value);
	      sendValue(sliderElem, value);
      }
    });
}

// aktualisiert nur den Wert, nicht die Handle-Position
//function updateSliderValue(sliderElem, value) {
//	var sliderHandle = $(sliderElem).down('.fe_value_slider_handle');
//	sliderHandle.update(value);
//}

// ermittelt anhand der rendererId das Div-Element,
// in dem der Renderer seine Elemente erzeugen/aktualisieren darf
function getRenderArea(rendererId) {
//	ajaxAlert("getRenderArea: " + rendererId);
	var div = $(rendererId + ":renderer_popup");
	if (div) {
//		ajaxAlert("found popup: " + div);
		return div;
	}
//	ajaxAlert("found standard renderer " + $(rendererId + ":renderer"));
	return $(rendererId + ":renderer");
}

function updateAction(rendererId, actionName, param) {
	if (!Object.isString(rendererId)) {
		rendererId = findComponentId(rendererId);
	}

	new Ajax.EffectUpdater(getRenderArea(rendererId), fe_context_path + "IMX_ACTION/FEAction", {
		method:'post',
		parameters: {action:actionName,componentId:rendererId,parameter:param},
//		insertion: Insertion.Bottom,
		onComplete: function(response, json) {
			// der EffektUpdater bergibt ein JSON-Objekt, wenn im response json-Code enthalten war
			if (isValidResponse(json)) {
				handleResponse(json, false);				
			}
		},
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
		},
		onException: function(transport,ex) {
			alert(ex);
		}
	});
}

function updateFragment(elem, fName, componentId) {
	if (Object.isString(elem)) {
		if (!componentId) {
			componentId = elem;
		}
		elem = $(elem);
	}
	else {
		if (!componentId) {
			componentId = getNextParentElementId(elem);
		}
	}
	new Ajax.Updater(elem, fe_context_path + "IMX_ACTION/FEAction", {
		// post, da sonst Sonderzeichen falsch kodiert werden
		method:'post',
		parameters: {action:"updateFragment",componentId:componentId,fragmentName:fName},
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
		},
		onException: function(transport,ex) {
			alert(ex);
		}
	});
}

function ajaxResetForm(formId) {
	deselectAllRows();
	new Ajax.Updater($('fe:' + formId), fe_context_path + "IMX_ACTION/FEAction", {
		method:'post',
		evalScripts:true,
		parameters: {action:"resetForm",formId:formId},
		onFailure: function(transport) {
			alert(transport.status + ' - ' + transport.statusText);
			return false;
		},
		onException: function(transport,ex) {
			alert(ex);
			return false;
		}
	});
	return true;
}

// wird beim Bettigen des Cancel-Buttons aufgerufen
function ajaxCancelForm(formId, componentName, nextPage) {
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'post',
		parameters: {action:"cancelForm",formId:formId,"cancelled_by": componentName},
		onComplete: function(transport, json) {
			json = getJson(transport,  json);
			// TODO Fenster schlieen, wenn Abbruch in Sub-Form!?
			// damit die Seite ohne Warnung verlassen werden kann, den Handler wieder entfernen
			if (fe_unloadMessage != undefined) {
				window.onbeforeunload = old_onbeforeunload;
				fe_sendLeave = false;
			}
			window.location.href = getTarget(json, nextPage);
		}
	});
}

// Wird aufgerufen, wenn die Seite bei vorhandenem onbeforeunload-Handlers verlassen wird
function fe_ajaxLeaveForm(formId) {
	if (fe_sendLeave) {
		new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
			method:'post',
			parameters: {action:"leaveForm",formId:formId}
		});
	}
}

function getTarget(json, defaultTarget) {
	if (json) {
		var target = json["target"];
		if (target) {
			return target;
		}
	}
	return defaultTarget;
}

function getParentTargetValue(json) {
	if (json) {
		return json["parent-target"];
	}
	return null;
}
function feGetParentTargetComponentId(json) {
	if (json) {
		return json["parent-component"];
	}
	return null;
}

function ajaxAlert(message) {
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: {action:"alert",message:message}
	});
}

function fe_disableAutocomplete(element) {
	Element.writeAttribute($(element), "autocomplete", "off");
}

function openDialog(event, url, componentId, width, height) {
	var left = event.screenX - width / 2;
	var top = event.screenY;
	// verschieben, wenn es aus dem Screen ragt (speziell wegen IE) 
	if (left > screen.width - width - 10) {
		left = screen.width - width - 10;
	}
	if (top > screen.height - height - 60) {
		top = screen.height - height - 60;
	}
	// TODO richtige Position auch fr Opera ermitteln, wo es einen Offset durch Mens und das Bookmark-Fenster gibt
	var winName = "dialog_" + componentId.replace(/[:.]/g, "_");
	var winParam = "resizable=yes,width="+width+",height="+height+",left="+left+",top="+top+",modal=yes";
	var newDialog = window.open(url, winName, winParam);
	newDialog.focus();

	new PeriodicalExecuter(function(pe) {
		if (newDialog.closed) {
			var component = $(componentId);
			if (component.value != undefined) {
				doOnChange(component);
			}
			pe.stop();
		}
	}, 1);
}

function decIncInput(input, event, min, max) {
	if(event.keyCode == 38) {
		addIntValue(input, 1, min, max);
	}
	else if(event.keyCode == 40) {
		addIntValue(input, -1, min, max);
	}
}

function addIntValue(input, add, min, max) {
	var value = input.value;
	if (value.blank()) {
		value = 0;
	}
	else {
		value = parseInt(value);
	}
	value = value + add;
	// optionale Beschrnkung auf min und max-Werte
	if ((min != undefined && value < min) || (max != undefined && value > max)) {
		return;
	}

	if (value == 0) {
		input.value = '';
	}
	else {
		input.value = value;
	}
}

function fe_doAction(requestParameters, successHandler) {
	new Ajax.Request(fe_context_path + "IMX_ACTION/FEAction", {
		method:'get',
		parameters: requestParameters,
		onSuccess: function(transport, json) {
			json = getJson(transport,  json);
			if (isValidResponse(json)) {
				if (successHandler) {
					successHandler(json);
				}
				handleResponse(json);
			}
		},
		onFailure: function(transport) { alert(transport.status + ' - ' + transport.statusText); },
		onException: function(transport,ex) { alert(ex); }
	});
}

/* modifizierte Kopie aus prototype */
Ajax.EffectUpdater = Class.create(Ajax.Request, {
  initialize: function($super, container, url, options) {
	 var wasEmpty = Element.empty(container);
    this.container = {
      success: (container.success || container),
      failure: (container.failure || (container.success ? null : container))
    };

    options = Object.clone(options);
    var onComplete = options.onComplete;
    options.onComplete = (function(response, json) {
	    json = getJson(response,  json);
	    if (json == null) {
	    	// Html-Update nur ausfhren, wenn keine JSON-Antwort
		 var isEmpty = response.responseText.empty();
			if (wasEmpty != isEmpty) {
				// wechsel zwischen leer und nicht leer animieren
				if (wasEmpty) {
					Effect.BlindUp(container, {duration:0,afterFinish:function() {
						container.update(response.responseText);
						Effect.BlindDown(container, {duration:0.7});
					}});
				}
				else {
					Effect.BlindUp(container, {duration:0.7, afterFinish:function() {
						container.update(response.responseText);
						Effect.BlindDown(container, {duration:0});
					}});
				}
			}
		 else {
				// Inhalt nur austauschen
				container.update(response.responseText);
//				this.updateContent(response.responseText);
			}
	    }

		if (Object.isFunction(onComplete)) onComplete(response, json);
	 }).bind(this);

    $super(url, options);
  }
});
/** Selektion bei Klick auf Zeile */
function fe_optionTable_selectTableRow(event, row, inputComponentId, valueFieldId) {
	var input = $(inputComponentId);
	var valueField; // Verstecktes Feld mit aktuellem Wert (bei Checkbox-Optionen)
	if (valueFieldId && inputComponentId != valueFieldId) {
		valueField = $(valueFieldId);
	}
	if (input) {
		var checkbox = input.type == 'checkbox';
		var trigger = Event.element(event);
		// Gibt an, ob der Wert hier neu gesetzt werden soll. Ist die Checkbox selbst Auslser, wurde der Wert bereits
		// umgesetzt (also keine weiteren Events auslsen, nur CSS-Klassen ndern!).
		var updateInput = true;
		if (trigger == input) {
			updateInput = false;
		}
		var oldValue = updateInput ? input.checked : !input.checked;
		var newValue = updateInput
				// Bei Radio-Buttons ist Deselektieren nicht mglich, also immer 'true' setzen
				? (checkbox ? !input.checked : true)
				// Wert wurde schon durch Auslsen der Checkbox bzw. des Radiobuttons gendert
				: input.checked;
 		var changed = oldValue != newValue;
		if (changed) {
			if (updateInput) {
				input.checked = newValue; // Checkbox/Radiobutton aktivieren bzw. deaktivieren
				if (valueField) {
					valueField.value = newValue ? 'true' : 'false'; // Verstecktes Feld aktualisieren
					ajaxSubmit(valueField); // Wert senden
				}
				else {
					ajaxSubmit(input); // Wert senden
				}
			}
			if (newValue) {
				Element.addClassName(row, "fe_selected_table_row");
			}
			else {
				Element.removeClassName(row, "fe_selected_table_row");
			}
			if (!checkbox) {
				// Bei Radio-Buttons alle anderen Zeilen deaktivieren (CSS).
				var allRows = Selector.findChildElements(row.parentNode, $A(['tr.fe_selected_table_row']));
				if (allRows) {
					allRows.each(function(curRow) {
						if (curRow.id != row.id) {
							Element.removeClassName(curRow, "fe_selected_table_row");
						}
					});
				}
			}
		}
	}
}
/** Aktivieren der Selektion bei Klick auf Zeile */
function fe_optionTable_observeTableRows(tableId, inputType) {
	var table = $(tableId);
	if (!table) {
		return;
	}
	var allRows = Selector.findChildElements(table, $A(['tbody tr']));
	if (!allRows) {
		return;
	}
	allRows.each(function(curRow) {
		var inputColumns = Selector.findChildElements(curRow, $A(['td.fe_option_checkbox_column']));
		if (inputColumns && inputColumns.length > 0) {
			var selected = false;
			var inputColumn = inputColumns[0];
			var inputs = Selector.findChildElements(inputColumn, $A(['input']));
			if (inputs) {
				if (inputType == 'radio') {
					if (inputs.length == 1 && inputs[0].type == 'radio') {
						Event.observe(curRow,'click',function(event){fe_optionTable_selectTableRow(event, curRow, inputs[0], inputs[0]);});
						selected = inputs[0].checked;
					}
				}
				else if (inputType == 'checkbox' && inputs.length == 2) {
					var input0 = inputs[0];
					var input1 = inputs[1];
					// hidden-Feld und Checkbox-Feld suchen. Hidden-Feld sollte erstes Feld sein.
					var hidden = input0.type == 'hidden' ? input0 : (input1.type == 'hidden' ? input1 : undefined);
					var checkbox = input1.type == 'checkbox' ? input1 : (input0.type == 'checkbox' ? input0 : undefined);
					if (hidden && checkbox) {
						Event.observe(curRow,'click',function(event){fe_optionTable_selectTableRow(event, curRow, checkbox, hidden);});
						selected = checkbox.checked;
					}
				}
			}
			if (selected) {
				Element.addClassName(curRow, "fe_selected_table_row");
			}
		}
	});
}
