
// loadContent fr onload registrieren
Event.observe(window, 'load', imx_loadContent);

//var aLoaded = false;
var loader_context_path = '';
if (IMX_CONTEXT_PATH != undefined) {
	// Wert der globalen Variable bernehmen, wenn verfgbar
	loader_context_path = IMX_CONTEXT_PATH + '/';
	// anderenfalls leer lassen, damit relative Pfade entstehen
}

function imx_loadContent() {
	var elementIds = getAllElementIds();

	// Test mit erneuter Javascript-Ausfhrung und Erkennung, ob Seite bereits geladen wurde
//	alert("iframe already loaded = " + window.imx_async_loader_content.alreadyLoaded);
//	window.imx_async_loader_content.alreadyLoaded = true;

//	alert("this already loaded = " + aLoaded);
//	aLoaded = true;
//	alert("already loaded = " + alreadyLoaded);
//	alreadyLoaded = true;
/*
	if (imx_knownAsyncContent == undefined) {
		alert("init");
		imx_knownAsyncContent = new Hash();
	}
	var ids = imx_knownAsyncContent.keys();
	alert("start " + ids);
	if (ids && ids.length > 0) {
		for (var i = 0; i < ids.length; i++) {
			var id = ids[i];
			var content = imx_knownAsyncContent.get(id);

			$(id).update(content);
		}
	}
*/

	// durch Rekursion knnen die Ajax-Requests asynchron ausgefhrt werden
	// (synchron scheinen bis zum Ende die Links blockiert zu sein)
	imx_loadNextContent(elementIds);
}

// Ausfhrungs-Methode, um rekursuve Ausfhrung zu ermglichen
function imx_loadNextContent(elementIds) {
	if (elementIds.length > 0) {
		// - per AjaxRequest fr die Request-Id die Inhalte abfragen (?id=firstId
		// - als Antwort knnen die Inhalte fr ein oder mehrere Bereiche kommen (abhngig vom Modus)
		// - fr die jeweiligen Ids die Inhalte per Update einfgen
		// - Request solange in Schleife(rekursion) ausfhren, bis Inhalte fr alle Content-Ids empfangen wurden

			// immer die erste noch im Array verbliebene Id verwenden
		var firstId = elementIds[0];

		new Ajax.Request(loader_context_path + "IMX_ACTION/IMX_AsyncContentLoader", {
			method:'post',
			// aus dem Namen der Komponente wird beim Request nur die Id des Formulars ausgewertet
			parameters: {'id':firstId},
			onSuccess: function(transport, json) {
				json = getJson(transport, json);

				var ids = Object.keys(json);
				if (ids.length > 0) {
					for (var i = 0; i < ids.length; i++) {
						// der Key ist der vollstndige Name der Komponente (also die Element-Id)
						var id = ids[i];
						var content = json[id];

						$(id).update(content);
//						imx_knownAsyncContent.set(id, content);

						elementIds = elementIds.without(id);
					}
					
					// nchstes Element durch rekrusiven Aufruf der Methode
					imx_loadNextContent(elementIds);
				}
				// else - Wenn keine Antwort mehr enthalten ist - Abbruch durch beenden der Rekursion
			},
			onFailure: function(transport) {
				alert(transport.status + ' - ' + transport.statusText);
				// Abbruch durch Beenden der Methode und damit der Rekursion
			},
			onExeption: function(ex) {
				alert(ex);
				// Abbruch durch Beenden der Methode und damit der Rekursion
			}
		});
	}
	// TODO hilft, damit nach verlassen der Seite und Back-Button der nachgeladene Inhalt wieder angezeigt wird
	// wre aber besser, das versteckt in einem IFrame zu machen, damit es nicht in der URL zu sehen ist
	// (wird aber auch nicht von allen Browsern in der URL angezeigt)
	// geht jetzt scheinbar auch so in Opera
//	document.location = '#finished';
}

function getAllElementIds() {
	var elements = $$('.imx_async_content');
	var ids = [];
	for (var i = 0; i < elements.length; i++) {
		ids[ids.length] = elements[i].id;
	}
	return ids;
}

function getJson(transport, json) {
	if (json) {
		return json;
	}
	else if (transport.responseText && transport.responseText.startsWith('{')) {
		// bei prototype 1.6 hat das sonst zu einem Fehler gefhrt, wenn der x-json Header leer war,
		// und im transport kein json steckte, sondern html-Code
		return eval('(' + transport.responseText + ')');
	}
	else {
		return null;
	}
}
